### org.jfree.layouting.input.style.keys.page

# Class PageSizeFactory

- `java.lang.Object`
- - `org.jfree.layouting.input.style.keys.page.PageSizeFactory`

`public class PageSizeFactory`
`extends java.lang.Object`

This will be replaced by a 'media-names' implementation according to ftp://ftp.pwg.org/pub/pwg/candidates/cs-pwgmsn10-20020226-5101.1.pdf

Author:
  Thomas Morgner

  ## Method Summary

  `static PageSizeFactory`

  `getInstance()`

  `PageSize`

  `getPageSizeByName(String name)`

  `String[]`

  `getPageSizeNames()`

## Method Details

### getInstance

    public static PageSizeFactory getInstance()

### getPageSizeByName

    public PageSize getPageSizeByName(String name)

### getPageSizeNames

    public String[] getPageSizeNames()